(function () {
    'use strict';
    angular
        .module('app-base')
        .directive('baseApp', baseApp);

    /** @ngInject */
    function baseApp() {
        var directive = {
            controller: BaseAppController,
            controllerAs: 'vm'
        };
        return directive;
    }

    /** @ngInject */
    function BaseAppController($log,AppService,AppSettings,AppData) {
        var vm = this;
        activate();
        function activate(){
            $log.debug('app-base: activate');
        }
    }
})();
